Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.cache
Class CacheManager

    java.lang.Object
      org.ajax4jsf.cache.CacheManager

    public class CacheManager

extends java.lang.Object

TODO stop caches on application stop CacheManager is used in J2SE environments for looking up named caches.

Field Summary
`static java.lang.String` | `CACHE_MANAGER_FACTORY_CLASS`

Constructor Summary
`CacheManager()`

Method Summary
`org.ajax4jsf.cache.Cache` | `createCache(javax.faces.context.FacesContext facesContext, java.lang.String cacheName, java.util.Map<?,?> env)`
`void` | `destroy()`
`void` | `destroyCache(java.lang.String cacheName)`
`org.ajax4jsf.cache.Cache` | `getCache(java.lang.String cacheName)`
`java.util.Map<java.lang.String,org.ajax4jsf.cache.Cache>` | `getCaches()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_MANAGER_FACTORY_CLASS

    public static final java.lang.String CACHE_MANAGER_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### CacheManager

    public CacheManager()

Method Detail

### getCache

    public org.ajax4jsf.cache.Cache getCache(java.lang.String cacheName)

### createCache

    public org.ajax4jsf.cache.Cache createCache(javax.faces.context.FacesContext facesContext,
                                                java.lang.String cacheName,
                                                java.util.Map<?,?> env)

### destroyCache

    public void destroyCache(java.lang.String cacheName)

### getCaches

    public java.util.Map<java.lang.String,org.ajax4jsf.cache.Cache> getCaches()

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.